Debian Bug report logs - #355302
mysql-client-5.0: Unicode characters in resultsets are displayed, but don't count for formatting

version graph

Package: mysql-client-5.0; Maintainer for mysql-client-5.0 is (unknown);

Reported by: Daniel van Eeden <daniel_e@dds.nl>

Date: Sat, 4 Mar 2006 21:48:02 UTC

Severity: minor

Tags: confirmed, l10n, upstream

Found in version mysql-client-5.0/5.0.18-8

Fixed in version mysql-dfsg-5.0/5.0.26-1

Done: Christian Hammers <ch@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://bugs.mysql.com/17939

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Christian Hammers <ch@debian.org>:
Bug#355302; Package mysql-client-5.0. Full text and rfc822 format available.

Acknowledgement sent to Daniel van Eeden <daniel_e@dds.nl>:
New Bug report received and forwarded. Copy sent to Christian Hammers <ch@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel van Eeden <daniel_e@dds.nl>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: mysql-client-5.0: Unicode characters in resultsets are displayed, but don't count for formatting
Date: Sat, 04 Mar 2006 22:32:23 +0100
Package: mysql-client-5.0
Version: 5.0.18-8
Severity: minor
Tags: l10n

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

mysql> SELECT 'John Doe' as 'Śtañgè Ñãmé';
+-------------------+
| Śtañgè Ñãmé |
+-------------------+
| John Doe          |
+-------------------+
1 row in set (0.00 sec)

Why is the column with the unicode characters smaller than the other?

- -- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.9-9-amd64-k8
Locale: LANG=en_US.utf8, LC_CTYPE=en_US.utf8 (charmap=UTF-8) (ignored: LC_ALL set to en_US.utf8)

Versions of packages mysql-client-5.0 depends on:
ii  debianutils                   2.15.3     Miscellaneous utilities specific t
ii  libc6                         2.3.6-3    GNU C Library: Shared libraries an
ii  libdbd-mysql-perl             3.0002-2   A Perl5 database interface to the 
ii  libdbi-perl                   1.50-2     Perl5 database interface by Tim Bu
ii  libgcc1                       1:4.0.2-9  GCC support library
ii  libmysqlclient15              5.0.18-8   mysql database client library
ii  libncurses5                   5.5-1      Shared libraries for terminal hand
ii  libreadline5                  5.1-6      GNU readline and history libraries
ii  libstdc++6                    4.0.2-9    The GNU Standard C++ Library v3
ii  libwrap0                      7.6.dbs-9  Wietse Venema's TCP wrappers libra
ii  mysql-common                  5.0.18-8   mysql database common files (e.g. 
ii  perl                          5.8.8-2    Larry Wall's Practical Extraction 
ii  zlib1g                        1:1.2.3-9  compression library - runtime

mysql-client-5.0 recommends no packages.

- -- no debconf information

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFECgdnSTv4ppQVDnwRAkSnAJ9xD772Q2MP4UtDPeJxuGNikYKb/gCgm7NZ
6s2dcbRxdJETSWNiKCnS9Bk=
=7l1m
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#355302; Package mysql-client-5.0. Full text and rfc822 format available.

Acknowledgement sent to Christian Hammers <ch@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 355302@bugs.debian.org (full text, mbox):

From: Christian Hammers <ch@debian.org>
To: Daniel van Eeden <daniel_e@dds.nl>, 355302@bugs.debian.org
Subject: Re: Bug#355302: mysql-client-5.0: Unicode characters in resultsets are displayed, but don't count for formatting
Date: Sun, 5 Mar 2006 02:51:46 +0100
Hello Daniel

On 2006-03-04 Daniel van Eeden wrote:
> mysql> SELECT 'John Doe' as '__tañgè Ñãmé';
> +-------------------+
> | __tañgè Ñãmé |
> +-------------------+
> | John Doe          |
> +-------------------+
> 1 row in set (0.00 sec)
> 
> Why is the column with the unicode characters smaller than the other?

The problem will most likely be that the program counts the number
of bytes that the column name takes to format it but unicode utf8
sometimes uses 2 bytes for 1 printed char so your terminal screws
it up.

Did you read all the chapters about setting the server charset
in the docs? If you can confirm that mysql uses utf8 as internal
charset too, then this is a bug.

bye,

-christian-



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#355302; Package mysql-client-5.0. Full text and rfc822 format available.

Acknowledgement sent to Christian Hammers <ch@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #15 received at 355302@bugs.debian.org (full text, mbox):

From: Christian Hammers <ch@debian.org>
To: Daniel van Eeden <daniel_e@dds.nl>, dc <control@bugs.debian.org>, 355302@bugs.debian.org
Subject: Re: Bug#355302: mysql-client-5.0: Unicode characters in resultsets are displayed, but don't count for formatting
Date: Sun, 5 Mar 2006 15:58:30 +0100
forwarded 355302 http://bugs.mysql.com/17939
tags 355302 + upstream confirmed
thanks

On 2006-03-05 Daniel van Eeden wrote:
> I tried some UTF8 settings... but none helped. It seems like a real bug. I
> tried in gnome-terminal and in uxterm....got the same result in both.

Ok, I filed an upstream bug report.

bye,

-christian-



Noted your statement that Bug has been forwarded to http://bugs.mysql.com/17939. Request was from Christian Hammers <ch@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: upstream, confirmed Request was from Christian Hammers <ch@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Christian Hammers <ch@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Daniel van Eeden <daniel_e@dds.nl>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #24 received at 355302-close@bugs.debian.org (full text, mbox):

From: Christian Hammers <ch@debian.org>
To: 355302-close@bugs.debian.org
Subject: Bug#355302: fixed in mysql-dfsg-5.0 5.0.26-1
Date: Wed, 25 Oct 2006 16:18:06 -0700
Source: mysql-dfsg-5.0
Source-Version: 5.0.26-1

We believe that the bug you reported is fixed in the latest version of
mysql-dfsg-5.0, which is due to be installed in the Debian FTP archive:

libmysqlclient15-dev_5.0.26-1_amd64.deb
  to pool/main/m/mysql-dfsg-5.0/libmysqlclient15-dev_5.0.26-1_amd64.deb
libmysqlclient15off_5.0.26-1_amd64.deb
  to pool/main/m/mysql-dfsg-5.0/libmysqlclient15off_5.0.26-1_amd64.deb
mysql-client-5.0_5.0.26-1_amd64.deb
  to pool/main/m/mysql-dfsg-5.0/mysql-client-5.0_5.0.26-1_amd64.deb
mysql-client_5.0.26-1_all.deb
  to pool/main/m/mysql-dfsg-5.0/mysql-client_5.0.26-1_all.deb
mysql-common_5.0.26-1_all.deb
  to pool/main/m/mysql-dfsg-5.0/mysql-common_5.0.26-1_all.deb
mysql-dfsg-5.0_5.0.26-1.diff.gz
  to pool/main/m/mysql-dfsg-5.0/mysql-dfsg-5.0_5.0.26-1.diff.gz
mysql-dfsg-5.0_5.0.26-1.dsc
  to pool/main/m/mysql-dfsg-5.0/mysql-dfsg-5.0_5.0.26-1.dsc
mysql-dfsg-5.0_5.0.26.orig.tar.gz
  to pool/main/m/mysql-dfsg-5.0/mysql-dfsg-5.0_5.0.26.orig.tar.gz
mysql-server-5.0_5.0.26-1_amd64.deb
  to pool/main/m/mysql-dfsg-5.0/mysql-server-5.0_5.0.26-1_amd64.deb
mysql-server_5.0.26-1_all.deb
  to pool/main/m/mysql-dfsg-5.0/mysql-server_5.0.26-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 355302@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christian Hammers <ch@debian.org> (supplier of updated mysql-dfsg-5.0 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 25 Oct 2006 19:54:04 +0200
Source: mysql-dfsg-5.0
Binary: libmysqlclient15-dev mysql-client mysql-client-5.0 mysql-server mysql-server-5.0 mysql-common libmysqlclient15off
Architecture: source all amd64
Version: 5.0.26-1
Distribution: unstable
Urgency: high
Maintainer: Christian Hammers <ch@debian.org>
Changed-By: Christian Hammers <ch@debian.org>
Description: 
 libmysqlclient15-dev - mysql database development files
 libmysqlclient15off - mysql database client library
 mysql-client - mysql database client (current version)
 mysql-client-5.0 - mysql database client binaries
 mysql-common - mysql database common files (e.g. /etc/mysql/my.cnf)
 mysql-server - mysql database server (current version)
 mysql-server-5.0 - mysql database server binaries
Closes: 355302 365050 371841 385947 386337 389102 391625 391741 392809 393334 393868 394992
Changes: 
 mysql-dfsg-5.0 (5.0.26-1) unstable; urgency=high
 .
   * SECURITY:
     This combined release of 5.0.25 and 5.0.26 fixes lot of possible server
     crashs so it should get into Etch. Quoting the changelog (bug numbers are
     bugs.mysql.com ones):
     - character_set_results can be NULL to signify no conversion, but some
       code did not check for NULL, resulting in a server crash. (Bug#21913)
     - Using cursors with READ COMMITTED isolation level could cause InnoDB to
       crash. (Bug#19834)
     - Some prepared statements caused a server crash when executed a second
       time. (Bug#21166)
     - When DROP DATABASE or SHOW OPEN TABLES was issued while concurrently
       issuing DROP TABLE (or RENAME TABLE, CREATE TABLE LIKE or any other
       statement that required a name lock) in another connection, the server
       crashed. (Bug#21216)
     - Use of zero-length variable names caused a server crash. (Bug#20908)
     - For InnoDB tables, the server could crash when executing NOT IN ()
       subqueries. (Bug#21077)
     - Repeated DROP TABLE statements in a stored procedure could sometimes
       cause the server to crash. (Bug#19399)
     - Performing an INSERT on a view that was defined using a SELECT that
       specified a collation and a column alias caused the server to crash
       (Bug#21086).
     - A query of the form shown here caused the server to crash. (Bug#21007)
     - NDB Cluster: Some queries involving joins on very large NDB tables could
       crash the MySQL server. (Bug#21059)
     - The character set was not being properly initialized for CAST() with a
       type like CHAR(2) BINARY, which resulted in incorrect results or even a
       server crash. (Bug#17903)
     - For certain queries, the server incorrectly resolved a reference to an
       aggregate function and crashed. (Bug#20868)
     - The server crashed when using the range access method to execut a
       subquery with a ORDER BY DESC  clause. (Bug#20869)
     - Triggers on tables in the mysql database caused a server crash. Triggers
       for tables in this database now are disallowed. (Bug#18361)
     - Using SELECT on a corrupt MyISAM table using the dynamic record format
       could cause a server crash. (Bug#19835)
     - Use of MIN() or MAX()  with GROUP BY on a ucs2  column could cause a
       server crash. (Bug#20076)
     - Selecting from a MERGE table could result in a server crash if the
       underlying tables had fewer indexes than the MERGE table itself.
       (Bug#21617, Bug#22937)
 .
   * New upstream release.
     - This bug would cause trouble for Sarge->Etch upgrades, it was supposed to
       have been fixed in 5.0.16 but that apparently did not fix the whole
       problem:
       Using tables from MySQL 4.x in MySQL 5.x, in particular those with VARCHAR
       fields and using INSERT DELAYED to update data in the table would result in
       either data corruption or a server crash. (Bug#16611, Bug#16218, Bug#17294)
       Closes: #386337
     - Fixes data corruption as an automatic client reconnect used to set
       the wrong character set. Closes: #365050
     - Fixes an undefined ulong type in an include file. Closes: #389102
     - Fixes wrong output format when using Unicode characters. Closes: #355302
     - Fixes mysql_upgrade when using a password. Closes: #371841
 .
   [Christian Hammers]
   * Removed --sysconfdir from debian/rules as it puts /etc/mysql/ at the
     end of the my.cnf search patch thus overriding $HOME/my.cnf
     (thanks to Christoph Biedl). Closes: #394992
   * The provided patch from bug #385947 was wrong, the variable is called
     BLOCKSIZE not BLOCK_SIZE according to "strings `which df`" (thanks to
     Bruno Muller). Closes: #385947
 .
   [sean finney]
   * new dutch debconf translations from Vincent Zweije (closes: #392809).
   * new japanese debconf translations from Hideki Yamane (closes: #391625).
   * new italian debconf translations from Luca Monducci (closes: #391741).
   * new french debconf translations from Christian Perrier (closes: #393334).
   * ran debconf-updatepo to merge the fuzzies into svn.
   * massage the following patches so they continue to apply cleanly:
     - 44_scripts__mysql_config__libs.dpatch to cleanly apply.
     - 45_warn-CLI-passwords.dpatch
     - 96_TEMP__libmysqlclient_ssl_symbols.dpatch (note, this patch might
       no longer be needed, but is retained "just in case" after massaging it)
   * the following patches have been incorporated upstream:
     - 70_kfreebsd.dpatch
     - 80_hurd_mach.dpatch
     - 87_ps_Hurd.dpatch
     - 90_TEMP__client__mysql_upgrade__O_EXEC.dpatch
     - 91_TEMP__client__mysql_upgrade__password.dpatch
     - 92_TEMP__client__mysql_upgrade__defaultgroups.dpatch
     - 94_TEMP__CVE-2006-4227.dpatch
     - 95_TEMP__CVE-2006-4226.dpatch
   * the udf_example.cc has disappeared from the source code, but there's
     a udf_example.c which seems to be a good example to use instead :)
   * update documentation in the configuration to no longer reference
     using my.cnf in the DATADIR, as it's never been the recommended
     method for debian systems and hasn't worked since 5.0 was released
     anyway (closes: #393868).
Files: 
 5b18f4c14531c533ec0bd96d8a0831b2 1090 misc optional mysql-dfsg-5.0_5.0.26-1.dsc
 6be339843fa2d752a268e55b2b73cd3b 19145016 misc optional mysql-dfsg-5.0_5.0.26.orig.tar.gz
 17526aca82ecdaad0d74ea775aa42318 133653 misc optional mysql-dfsg-5.0_5.0.26-1.diff.gz
 c8f8449464f4cb8623c5ebe35b744a7c 43888 misc optional mysql-common_5.0.26-1_all.deb
 c84bb200cd7a4de2e1ce407c548cac52 41276 misc optional mysql-server_5.0.26-1_all.deb
 d89398728b511c510a95783c67ff25bf 41268 misc optional mysql-client_5.0.26-1_all.deb
 7bea8dc9f5ad7a10b7cc0d4ec66d783b 1812856 libs optional libmysqlclient15off_5.0.26-1_amd64.deb
 28cd0d3ee946675ef7a0cb5df5b833f4 7292568 libdevel optional libmysqlclient15-dev_5.0.26-1_amd64.deb
 8d950ce898a863b8732a1a10d42cc34a 7465122 misc optional mysql-client-5.0_5.0.26-1_amd64.deb
 1081edabf86e400b18e3977de5225078 25602132 misc optional mysql-server-5.0_5.0.26-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iEYEARECAAYFAkU/608ACgkQkR9K5oahGOZKjgCfSMC3UkiUvWdMOYLdzp0hEr2F
un4AoNXU7KFdQe9m8oBGeTwusXC41RE1
=ugGi
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 08:59:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 08:21:27 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.